Bug 18439 - Обновление ntfs-3g
: Обновление ntfs-3g
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/ntfs-3g)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
: http://www.ntfs-3g.org/releases.html
:
: 18676
:
  Show dependency tree
 
Reported: 2009-01-04 16:30 by
Modified: 2009-08-12 15:38 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-01-04 16:30:38
На сайте ntfs-3g доступна версия 1.5130, в сизифе 1.2506, думаю что там
достаточно исправлений что бы обновить и версию сизифа.
------- Comment #1 From 2009-01-06 13:27:32 -------
К сожалению я не могу обновить пакет, потому что новые версии требуют либо fuse
2.8.0 (которого ещё нет :), либо подключать "встроенную" либу fuse, что
несовсем правильно.
В общем жду выхода fuse 2.8.0
------- Comment #2 From 2009-01-09 12:36:12 -------
Из configure.in ntfs-3g-1.5222-RC вроде бы последнего доступного
---cut---
        PKG_CHECK_MODULES(
                [FUSE_MODULE],
                [fuse >= 2.6.0],
                ,
---cut---
Они не явно хотят fuse 2.8.0 ?
------- Comment #3 From 2009-01-23 09:35:44 -------
STABLE Version 1.2412 (April 12, 2008) -- Release Notes

    * Fix: The total file system depth was limited to 4095 characters by FUSE
and trying to access files and directories deeper gave "No such file or
directory" error. If NTFS-3G is compiled with an external FUSE library
(non-default on Linux), then FUSE CVS is needed until FUSE 2.8.0 is released.

В свете выхода 2009.1.1 ( там наконец нормально "заработали" русские имена
файлов из коробки, без всяких locale= и hal policy) - не знаю что и делать.

Варианта 2:
1. Выложить со встроенным лёгким FUSE (тогда этой проблемы нет)
2. Ждать FUSE 2.8.0 в сизифе (перспектива неясна)
------- Comment #4 From 2009-01-28 10:14:58 -------
Отправил в сизиф сборку со встроенным FUSE
как только будет решено с #18676 - пересоберу
------- Comment #5 From 2009-08-12 15:38:05 -------
Эту багу стоит считать исправленной ввиду ntfs-3g-2009.4.4-alt1, как понимаю?

(bug #18676 -- wontfix, и как понимаю, там на самом деле надо бы собрать
lib%name%soname, как кое-кто всех и агитирует)